Get
/api/v1/Catalog/data-sources/{dataSourceId}/schemas/{schemaId}/tables/{tableId}/custom-fields
Returns a list of custom field values for a specified table
Path parameters
dataSourceId
integer (int32) Required
Id of the data source being searched for custom field values
schemaId
integer (int32) Required
Id of the schema being searched for custom field values
tableId
integer (int32) Required
Id of the table being searched for custom field values
Responses
200
OK
object
values
Array
List of custom field values
OneOf
Configuration.Api.Models.v1.CustomFieldSingleValue
object (Configuration.Api.Models.v1.CustomFieldSingleValue)
value
string | null
The value of the custom field
Configuration.Api.Models.v1.CustomFieldMultiValue
object (Configuration.Api.Models.v1.CustomFieldMultiValue)
values
Array of string
The list of values if the custom field contains more than one value
string
400
Bad Request
object
error
string | null
403
Forbidden
404
Not Found
object
error
string | null